# SPDX-License-Identifier: MIT
---
- name: Copy kernel and initrd for test purposes from {{ __bootloader_kernel_source.kernel }}
  copy:
    src: "{{ item.src }}"
    remote_src: true
    dest: "{{ item.dest }}"
    mode: preserve
  loop:
    - src: "{{ __bootloader_kernel_source.kernel }}"
      dest: "{{ __bootloader_kernel_source.kernel }}_clone{{ __bootloader_clone_num }}"
    - src: "{{ __bootloader_kernel_source.initrd | regex_replace(' .*$', '') }}"
      dest: >-
        {{ __bootloader_kernel_source.initrd |
        regex_replace(' .*$', '') }}_clone{{ __bootloader_clone_num }}

- name: Create kernel Clone{{ __bootloader_clone_num }}
  vars:
    bootloader_settings:
      - kernel:
          path: "{{ __bootloader_kernel_source.kernel }}_clone{{ __bootloader_clone_num }}"
          initrd: "{{ __bootloader_kernel_source.initrd | regex_replace(' .*$', '') }}_clone{{ __bootloader_clone_num }}"
          title: Clone{{ __bootloader_clone_num }}
        options:
          - name: test
            value: kernel
            state: present
          - copy_default: "{{ __bootloader_copy_default }}"
        default: "{{ __bootloader_make_default | d(false) }}"
  include_role:
    name: fedora.linux_system_roles.bootloader

- name: Flush handlers
  meta: flush_handlers

- name: Ensure bootloader_reboot_required is not set to true
  assert:
    that: not bootloader_reboot_required

- name: Get bootloader_facts
  vars:
    bootloader_gather_facts: true
  include_role:
    name: fedora.linux_system_roles.bootloader
